using UnityEngine;
using UnityEngine.UI;
using System.Collections;

[RequireComponent(typeof(Slider))]
public class WowBarDelta: MonoBehaviour {

	Slider theSlider;

	public float delta = 0f;

	void Start()
	{
		theSlider = GetComponent<Slider>();
	}

	public void SetDeltaValue(float f)
	{
		delta = f;
	}

	void Update()
	{
		theSlider.value = GameManager.instance.wowBarValue + delta;
	}
}
